Subject: Re: How to force Setup.exe to behave?
From: "Karl M" <[email-masked]>
Cc: [email-masked]
Date: Sun, 16 May 2004 18:48:47 -0700

Hi All...

I ran into a circular dependency with X as well. I temporarily installed 
something that wanted it and then later removed the original package. I 
tried a couple of times to remove X and gave up. (It doesn't take that much 
disk to worry about and I'll take care of it on my next clean install.)

HTH,

...Karl

>From: Robert Collins
>To: Lex Ein
>CC: [email-masked]
>Subject: Re: How to force Setup.exe to behave?
>Date: Mon, 17 May 2004 09:49:45 +1000
>
>On Mon, 2004-05-17 at 09:20, Lex Ein wrote:
> > Nine days ago, this was "Using Setup.exe to uninstall -bogus".
> >
>
>Setup is only bringing in X because something you have installed
>requires it.
>
>It's possible that there is a circular dependency loop within the X
>programs themselves, and if so you may (at least Right Now) be out of
>luck for your uninstallation needs.
>
>However, the partial view as another poster has suggested is probably
>the best way to tackle this. And I'd suggest you compare what you want
>installed vs what you have installed with the setup.ini from the mirror
>you are using - you should be able to spot the culprit that is dragging
>the X packages in.
>
>My WAG is that a package you *want* wants X.
>
>Rob
>--
>GPG key available at: <http://www.robertcollins.net/keys.txt>.
><< signature.asc >>

_________________________________________________________________
Check out the coupons and bargains on MSN Offers! http://youroffers.msn.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/